<?php declare(strict_types=1);
namespace ArchiveSiteMeta\Form;

use ArchiveSiteMeta\Helpers;
use Laminas\Form\Element;
use Laminas\Form\Element\Text;
use Laminas\Form\Form;
use Laminas\I18n\Translator\TranslatorAwareInterface;
use Laminas\I18n\Translator\TranslatorAwareTrait;
use Omeka\Form\Element\PropertySelect;

class ConfigForm extends Form implements TranslatorAwareInterface
{
    use TranslatorAwareTrait;

    public function setSettings($settings): void
    {
        $this->settings = $settings;
    }

    public function getSettings()
    {
        return $this->siteSettings;
    }

    protected function getSetting($name)
    {
        return $this->settings->get($name);
    }

    public function init(): void
    {
        $this->add([
    			'name' => 'sitemeta_collections',
          'type' => Element\Textarea::class,
          'options' => [
    					'label' => "Collections",
          ],
    		]);
      }

}
